summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Hazel Russman <hazeldebian@gmail.com>2019-11-02 12:40:12 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-11-02 12:40:12 +0700
commita8f400810f7a4af9a11a53bfffcd5bda1017399a (patch)
treebb92362630ce3be657a3a6e961049bc39f195c11 /misc
parentf0c0e46d2d4ff5702bf210dc4ae821636a63c8c5 (diff)
downloadslackbuilds-a8f400810f7a4af9a11a53bfffcd5bda1017399a.tar.gz
slackbuilds-a8f400810f7a4af9a11a53bfffcd5bda1017399a.tar.xz
misc/pmw: Added (Philip's Music Writer).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/pmw/README15
-rw-r--r--misc/pmw/doinst.sh5
-rw-r--r--misc/pmw/pmw.SlackBuild105
-rw-r--r--misc/pmw/pmw.info10
-rw-r--r--misc/pmw/slack-desc19
5 files changed, 154 insertions, 0 deletions
diff --git a/misc/pmw/README b/misc/pmw/README
new file mode 100644
index 0000000000..7da89e5b41
--- /dev/null
+++ b/misc/pmw/README
@@ -0,0 +1,15 @@
+Philip's Music Writer, previously called Philip's Music Scribe, was
+written by Philip Hazel as a simple way for people to create sheet
+music on a computer running the Linux operating system.
+
+pmw uses a special internal language to encode musical notation. Files
+can be created and modified in any text editor. The pmw command-line
+program translates the input text file into an output postscript file
+of music manuscript, using a special "alphabet" of symbols. A user
+manual in PDF format is provided as part of the package.
+
+Because it uses postscript, pmw requires ghostscript to be installed
+on your system.
+
+An archived homepage can be viewed here:
+https://web.archive.org/web/20190331211148/http://people.ds.cam.ac.uk/ph10/pmw.html
diff --git a/misc/pmw/doinst.sh b/misc/pmw/doinst.sh
new file mode 100644
index 0000000000..355d92cf12
--- /dev/null
+++ b/misc/pmw/doinst.sh
@@ -0,0 +1,5 @@
+fontdir=`gs -h|grep -A5 Search|grep fonts|cut -d : -f1`
+
+ln -s /usr/share/pmw/psfonts/PMW-Alpha $fontdir
+ln -s /usr/share/pmw/psfonts/PMW-Music.pfa $fontdir
+
diff --git a/misc/pmw/pmw.SlackBuild b/misc/pmw/pmw.SlackBuild
new file mode 100644
index 0000000000..755e91a6ed
--- /dev/null
+++ b/misc/pmw/pmw.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for pmw
+
+# Copyright 2019 Hazel Russman <hazeldebian@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pmw
+VERSION=${VERSION:-4.31}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/share/$PRGNAM/contrib
+cp -a contrib/* $PKG/usr/share/$PRGNAM/contrib
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENCE NOTICE README doc/{examples,figures,spec.pdf} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/pmw/pmw.info b/misc/pmw/pmw.info
new file mode 100644
index 0000000000..8ee83c8ca1
--- /dev/null
+++ b/misc/pmw/pmw.info
@@ -0,0 +1,10 @@
+PRGNAM="pmw"
+VERSION="4.31"
+HOMEPAGE="http://sourceforge.net/projects/philip-s-music-writer"
+DOWNLOAD="https://sourceforge.net/projects/philip-s-music-writer/files/pmw-4.31.tar.gz"
+MD5SUM="6957affd878ea963c84454173e5731ce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hazel Russman"
+EMAIL="hazeldebian@gmail.com"
diff --git a/misc/pmw/slack-desc b/misc/pmw/slack-desc
new file mode 100644
index 0000000000..20992b1d32
--- /dev/null
+++ b/misc/pmw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pmw: pmw (Philip's Music Writer)
+pmw:
+pmw: pmw is a program that turns a text file (written in the special pmw
+pmw: internal language) into sheet music in postscript format.
+pmw:
+pmw: If the special pmw postscript font is incorporated, the file can
+pmw: be printed on any printer.
+pmw:
+pmw:
+pmw:
+pmw: